Package org.apache.qpid.proton.amqp.transaction

# Class Coordinator

java.lang.Object
org.apache.qpid.proton.amqp.transaction.Coordinator

All Implemented Interfaces:
  `Target`

public final class Coordinator extends Object implements Target

## Constructor Summary

Constructors
Constructor
Description
`Coordinator()`

## Method Summary

Modifier and Type
Method
Description
`Target`
`copy()`
`String`
`getAddress()`
`Symbol[]`
`getCapabilities()`
`void`
`setCapabilities(Symbol... capabilities)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Coordinator

public Coordinator()

## Method Details

### getCapabilities

public Symbol[] getCapabilities()

### setCapabilities

public void setCapabilities(Symbol... capabilities)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getAddress

public String getAddress()

Specified by:
  `getAddress` in interface `Target`

### copy

public Target copy()

Specified by:
  `copy` in interface `Target`